<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/systems/monitor/expansionsyncedplayerstats.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d17/a01046_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionsyncedplayerstats.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d17/a01046.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionSyncedPlayerStats.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="comment">/**@class       ExpansionSyncedPlayerStats</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       This class handles the sycronised player stats values</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892">   17</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>{</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a6ce26a62afab55d7606ad4e92428b30c">   19</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a>,</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892af422fb81d42ecd479de08e64b6533d18">   20</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892af422fb81d42ecd479de08e64b6533d18">STAND</a>,</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a3cdd4783c5dbeae45bbcd15570a6b273">   21</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a3cdd4783c5dbeae45bbcd15570a6b273">CROUCH</a>,</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892ae57cc9240c1e64f42c414a6acb2ae626">   22</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892ae57cc9240c1e64f42c414a6acb2ae626">PRONE</a>,</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5fc54ebcb1dd4bf1e1b93cbc77b57b40">   23</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5fc54ebcb1dd4bf1e1b93cbc77b57b40">CAR</a>,</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5ed875b8404837e6474a4b500e656fcd">   24</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5ed875b8404837e6474a4b500e656fcd">HELICOPTER</a>,</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5fcfdc36f4798fb6ace9348a10f1e1b3">   25</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5fcfdc36f4798fb6ace9348a10f1e1b3">BOAT</a>,</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a11fd9ca455f92c69c084484d5cd803c2">   26</a></span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a11fd9ca455f92c69c084484d5cd803c2">DEAD</a>,</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <a class="code hl_enumvalue" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a467a2353100f3e76f03d339fa75ce599">UNCONSCIOUS</a></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a467a2353100f3e76f03d339fa75ce599">   28</a></span>}</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="keyword">class </span>ExpansionSyncedPlayerStates</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>{<span class="comment"></span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span><span class="comment">    //! ID not synched in &#39;OnSend&#39;, applied in &#39;RPC_SendPlayerStats&#39;</span></div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#aaa5e8e41ccfab57fd3812c38591c2d49">   33</a></span><span class="comment"></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../da/d17/a01046.html#aaa5e8e41ccfab57fd3812c38591c2d49">m_PlainID</a>;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#afb29a76b30e7264e8f29764176c2c148">   35</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#afb29a76b30e7264e8f29764176c2c148">m_Bones</a>;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#af3e20bba42c1d55bc117d92276a9dbb3">   36</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#af3e20bba42c1d55bc117d92276a9dbb3">m_Sick</a>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a7da63f7db3feb9e35cc49000fd66d6ea">   37</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#a7da63f7db3feb9e35cc49000fd66d6ea">m_Cholera</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a1019767be5dec9e08a0aea02dee626d3">   38</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#a1019767be5dec9e08a0aea02dee626d3">m_Influenza</a>;</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#ad6e1aad666bc4a61626321b52a5b7513">   39</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#ad6e1aad666bc4a61626321b52a5b7513">m_Salmonella</a>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#ac60853aed5bba4e0d17ae275d2e44217">   40</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#ac60853aed5bba4e0d17ae275d2e44217">m_Poison</a>;</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a59a4b85f6e8e6f701d0c862d4c4fae66">   41</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#a59a4b85f6e8e6f701d0c862d4c4fae66">m_Infection</a>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a9c33e17337543b45b0b3b2c8def6ad5f">   42</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../da/d17/a01046.html#a9c33e17337543b45b0b3b2c8def6ad5f">m_Cuts</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#afa5c1cfda1764cece2a66c337de5bf68">   43</a></span>    <a class="code hl_enumeration" href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a> <a class="code hl_variable" href="../../da/d17/a01046.html#afa5c1cfda1764cece2a66c337de5bf68">m_Stance</a>;</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#a463b7e474edb11a48e9290e40d6e7df8">   45</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d52/a00023.html#af2c207d1a6c5eea63c6296925ace1d76">OnSend</a>(ParamsWriteContext ctx)</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#afb29a76b30e7264e8f29764176c2c148">m_Bones</a>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#af3e20bba42c1d55bc117d92276a9dbb3">m_Sick</a>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#a7da63f7db3feb9e35cc49000fd66d6ea">m_Cholera</a>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#a1019767be5dec9e08a0aea02dee626d3">m_Influenza</a>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#ad6e1aad666bc4a61626321b52a5b7513">m_Salmonella</a>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#ac60853aed5bba4e0d17ae275d2e44217">m_Poison</a>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#a59a4b85f6e8e6f701d0c862d4c4fae66">m_Infection</a>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#a9c33e17337543b45b0b3b2c8def6ad5f">m_Cuts</a>);</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        ctx.Write(<a class="code hl_variable" href="../../da/d17/a01046.html#afa5c1cfda1764cece2a66c337de5bf68">m_Stance</a>);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno"><a class="line" href="../../da/d17/a01046.html#ad8508e874a78237bca7ef7b5dcc2c684">   58</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d52/a00023.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a>(ParamsReadContext ctx)</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    {</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#afb29a76b30e7264e8f29764176c2c148">m_Bones</a>))</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#af3e20bba42c1d55bc117d92276a9dbb3">m_Sick</a>))</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#a7da63f7db3feb9e35cc49000fd66d6ea">m_Cholera</a>))</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#a1019767be5dec9e08a0aea02dee626d3">m_Influenza</a>))</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#ad6e1aad666bc4a61626321b52a5b7513">m_Salmonella</a>))</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#ac60853aed5bba4e0d17ae275d2e44217">m_Poison</a>))</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>        </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#a59a4b85f6e8e6f701d0c862d4c4fae66">m_Infection</a>))</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#a9c33e17337543b45b0b3b2c8def6ad5f">m_Cuts</a>))</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../da/d17/a01046.html#afa5c1cfda1764cece2a66c337de5bf68">m_Stance</a>))</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    }</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>};</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html">   91</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d54/a04666.html">ExpansionSyncedPlayerStats</a></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>{<span class="comment"></span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">    //! ID not synched in &#39;OnSend&#39;, applied in &#39;RPC_SendPlayerStats&#39;</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#af1bdf892773fe32beec0cc4c81168651">   94</a></span><span class="comment"></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#af1bdf892773fe32beec0cc4c81168651">m_PlainID</a>;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span> </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#afeda392525a5dd89e7c01dc18202b48a">   96</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#afeda392525a5dd89e7c01dc18202b48a">m_HasBaseStats</a>;</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a3a47afe18588cf04099939866f667ac8">   97</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a3a47afe18588cf04099939866f667ac8">m_Health</a>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a386ac5c35fc67a66b02890cafefa9a0d">   98</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a386ac5c35fc67a66b02890cafefa9a0d">m_Blood</a>;</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a120b97f5f91be2878ac47c34c0ec4cd8">   99</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a120b97f5f91be2878ac47c34c0ec4cd8">m_Water</a>;</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a129670989b6a5ec8b1c0e4d1b7b15a68">  100</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a129670989b6a5ec8b1c0e4d1b7b15a68">m_Energy</a>;</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="comment"></span> </div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="comment">    //! @note not synced for client player (can get synced values from StaminaHandler)</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a12b7ca9d34af4572b7a8ef53eec449a2">  103</a></span><span class="comment"></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a12b7ca9d34af4572b7a8ef53eec449a2">m_Stamina</a>;</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a3d08f3e93f2febebe6c6f7d3e6a71de1">  105</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a3d08f3e93f2febebe6c6f7d3e6a71de1">m_HasRegisteredStats</a>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#aec7e4350a9cabbe2b98223e3a778212e">  106</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#aec7e4350a9cabbe2b98223e3a778212e">m_Distance</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#ac0f1de93577939499c55019e8bb9efe8">  107</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#ac0f1de93577939499c55019e8bb9efe8">m_Playtime</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">  108</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">m_PlayersKilled</a>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#aa71c542beac9afbab20246273c62ec8f">  109</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#aa71c542beac9afbab20246273c62ec8f">m_InfectedKilled</a>;</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#af4748e79098c2eb31f48a6b44bca72e6">  110</a></span>    <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#af4748e79098c2eb31f48a6b44bca72e6">m_AnimalsKilled</a>;</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a76446f08845e7e6e7ad723dd43858347">  111</a></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#a76446f08845e7e6e7ad723dd43858347">m_LongestShot</a>;</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span><span class="comment"></span> </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span><span class="comment">    //! @note not synced (can calculate on client)</span></div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#ab1b157515d9af81bc5cf07a1c64785cd">  114</a></span><span class="comment"></span>    <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d7/d54/a04666.html#ab1b157515d9af81bc5cf07a1c64785cd">m_Weight</a>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a6d9813824f447269d8491c1f1a6cd6f9">  116</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d54/a04666.html#a6d9813824f447269d8491c1f1a6cd6f9">OnSend</a>(ParamsWriteContext ctx, <span class="keywordtype">bool</span> includeRegisteredStats = <span class="keyword">false</span>, <span class="keywordtype">bool</span> includeBaseStats = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">if</span> (includeBaseStats)</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#a3a47afe18588cf04099939866f667ac8">m_Health</a>);</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#a386ac5c35fc67a66b02890cafefa9a0d">m_Blood</a>);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#a120b97f5f91be2878ac47c34c0ec4cd8">m_Water</a>);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#a129670989b6a5ec8b1c0e4d1b7b15a68">m_Energy</a>);</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span> </div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        <span class="keywordflow">if</span> (includeRegisteredStats)</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        {</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <span class="comment">//ctx.Write(m_Stamina);</span></div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#aec7e4350a9cabbe2b98223e3a778212e">m_Distance</a>);</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#ac0f1de93577939499c55019e8bb9efe8">m_Playtime</a>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">m_PlayersKilled</a>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#aa71c542beac9afbab20246273c62ec8f">m_InfectedKilled</a>);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#af4748e79098c2eb31f48a6b44bca72e6">m_AnimalsKilled</a>);</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>            ctx.Write(<a class="code hl_variable" href="../../d7/d54/a04666.html#a76446f08845e7e6e7ad723dd43858347">m_LongestShot</a>);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span> </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#ac1b1f621ee7659cd6074838a7fb7195d">  138</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d7/d54/a04666.html#ac1b1f621ee7659cd6074838a7fb7195d">OnRecieve</a>( ParamsReadContext ctx, <span class="keywordtype">bool</span> includeRegisteredStats = <span class="keyword">false</span>, <span class="keywordtype">bool</span> includeBaseStats = <span class="keyword">true</span> )</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">if</span> (includeBaseStats)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#a3a47afe18588cf04099939866f667ac8">m_Health</a>))</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#a386ac5c35fc67a66b02890cafefa9a0d">m_Blood</a>))</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#a120b97f5f91be2878ac47c34c0ec4cd8">m_Water</a>))</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>            </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#a129670989b6a5ec8b1c0e4d1b7b15a68">m_Energy</a>))</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span> </div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <a class="code hl_variable" href="../../d7/d54/a04666.html#afeda392525a5dd89e7c01dc18202b48a">m_HasBaseStats</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span> (includeRegisteredStats)</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <span class="comment">//if (!ctx.Read(m_Stamina))</span></div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>                <span class="comment">//return false;</span></div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>            </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#aec7e4350a9cabbe2b98223e3a778212e">m_Distance</a>))</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>            </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#ac0f1de93577939499c55019e8bb9efe8">m_Playtime</a>))</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>            </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">m_PlayersKilled</a>))</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#aa71c542beac9afbab20246273c62ec8f">m_InfectedKilled</a>))</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            </div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#af4748e79098c2eb31f48a6b44bca72e6">m_AnimalsKilled</a>))</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>            </div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>            <span class="keywordflow">if</span> (!ctx.Read(<a class="code hl_variable" href="../../d7/d54/a04666.html#a76446f08845e7e6e7ad723dd43858347">m_LongestShot</a>))</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>                <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span> </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <a class="code hl_variable" href="../../d7/d54/a04666.html#a3d08f3e93f2febebe6c6f7d3e6a71de1">m_HasRegisteredStats</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span> </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    }</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span> </div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno"><a class="line" href="../../d7/d54/a04666.html#a0fa6dd9b6dff8994771b40019d8a4f72">  186</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d7/d54/a04666.html#a0fa6dd9b6dff8994771b40019d8a4f72">Acquire</a>(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player)</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>    {</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <a class="code hl_variable" href="../../d7/d54/a04666.html#a12b7ca9d34af4572b7a8ef53eec449a2">m_Stamina</a> = player.m_StaminaHandler.GetSyncedStaminaNormalized() * 100;</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span><span class="comment">/*</span></div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span><span class="comment">        m_Distance = player.StatGet(AnalyticsManagerServer.STAT_DISTANCE);</span></div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span><span class="comment">        m_Playtime = player.StatGet(AnalyticsManagerServer.STAT_PLAYTIME);</span></div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span><span class="comment">        m_PlayersKilled = player.StatGet(AnalyticsManagerServer.STAT_PLAYERS_KILLED);</span></div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span><span class="comment">        m_InfectedKilled = player.StatGet(AnalyticsManagerServer.STAT_INFECTED_KILLED);</span></div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span><span class="comment">        m_AnimalsKilled = player.StatGet(AnalyticsManagerServer.EXP_STAT_ANIMALS_KILLED);</span></div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span><span class="comment">        m_LongestShot = player.StatGet(AnalyticsManagerServer.STAT_LONGEST_SURVIVOR_HIT);</span></div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span><span class="comment">*/</span></div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span> </div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        player.UpdateWeight();</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <a class="code hl_variable" href="../../d7/d54/a04666.html#ab1b157515d9af81bc5cf07a1c64785cd">m_Weight</a> = player.GetWeight();</div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    }</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>};</div>
<div class="ttc" id="aa00023_html_ae3e27fdaa6ddb0d424626c1f0b3aad2e"><div class="ttname"><a href="../../d3/d52/a00023.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a></div><div class="ttdeci">override bool OnRecieve(ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00091">expansionbasebuildingsettings.c:91</a></div></div>
<div class="ttc" id="aa00023_html_af2c207d1a6c5eea63c6296925ace1d76"><div class="ttname"><a href="../../d3/d52/a00023.html#af2c207d1a6c5eea63c6296925ace1d76">OnSend</a></div><div class="ttdeci">override void OnSend(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d52/a00023_source.html#l00131">expansionbasebuildingsettings.c:131</a></div></div>
<div class="ttc" id="aa01046_html_a1019767be5dec9e08a0aea02dee626d3"><div class="ttname"><a href="../../da/d17/a01046.html#a1019767be5dec9e08a0aea02dee626d3">m_Influenza</a></div><div class="ttdeci">int m_Influenza</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00038">expansionsyncedplayerstats.c:38</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892">ExpansionPlayerStanceStatus</a></div><div class="ttdeci">ExpansionPlayerStanceStatus</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00017">expansionsyncedplayerstats.c:18</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a11fd9ca455f92c69c084484d5cd803c2"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a11fd9ca455f92c69c084484d5cd803c2">DEAD</a></div><div class="ttdeci">@ DEAD</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00026">expansionsyncedplayerstats.c:26</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a3cdd4783c5dbeae45bbcd15570a6b273"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a3cdd4783c5dbeae45bbcd15570a6b273">CROUCH</a></div><div class="ttdeci">@ CROUCH</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00021">expansionsyncedplayerstats.c:21</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a467a2353100f3e76f03d339fa75ce599"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a467a2353100f3e76f03d339fa75ce599">UNCONSCIOUS</a></div><div class="ttdeci">@ UNCONSCIOUS</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00028">expansionsyncedplayerstats.c:27</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a5ed875b8404837e6474a4b500e656fcd"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5ed875b8404837e6474a4b500e656fcd">HELICOPTER</a></div><div class="ttdeci">@ HELICOPTER</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00024">expansionsyncedplayerstats.c:24</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a5fc54ebcb1dd4bf1e1b93cbc77b57b40"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5fc54ebcb1dd4bf1e1b93cbc77b57b40">CAR</a></div><div class="ttdeci">@ CAR</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00023">expansionsyncedplayerstats.c:23</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a5fcfdc36f4798fb6ace9348a10f1e1b3"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a5fcfdc36f4798fb6ace9348a10f1e1b3">BOAT</a></div><div class="ttdeci">@ BOAT</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00025">expansionsyncedplayerstats.c:25</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892a6ce26a62afab55d7606ad4e92428b30c"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892a6ce26a62afab55d7606ad4e92428b30c">UNKNOWN</a></div><div class="ttdeci">@ UNKNOWN</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00019">expansionsyncedplayerstats.c:19</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892ae57cc9240c1e64f42c414a6acb2ae626"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892ae57cc9240c1e64f42c414a6acb2ae626">PRONE</a></div><div class="ttdeci">@ PRONE</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00022">expansionsyncedplayerstats.c:22</a></div></div>
<div class="ttc" id="aa01046_html_a56153e5facc83b13d834608965b09892af422fb81d42ecd479de08e64b6533d18"><div class="ttname"><a href="../../da/d17/a01046.html#a56153e5facc83b13d834608965b09892af422fb81d42ecd479de08e64b6533d18">STAND</a></div><div class="ttdeci">@ STAND</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00020">expansionsyncedplayerstats.c:20</a></div></div>
<div class="ttc" id="aa01046_html_a59a4b85f6e8e6f701d0c862d4c4fae66"><div class="ttname"><a href="../../da/d17/a01046.html#a59a4b85f6e8e6f701d0c862d4c4fae66">m_Infection</a></div><div class="ttdeci">int m_Infection</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00041">expansionsyncedplayerstats.c:41</a></div></div>
<div class="ttc" id="aa01046_html_a7da63f7db3feb9e35cc49000fd66d6ea"><div class="ttname"><a href="../../da/d17/a01046.html#a7da63f7db3feb9e35cc49000fd66d6ea">m_Cholera</a></div><div class="ttdeci">int m_Cholera</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00037">expansionsyncedplayerstats.c:37</a></div></div>
<div class="ttc" id="aa01046_html_a9c33e17337543b45b0b3b2c8def6ad5f"><div class="ttname"><a href="../../da/d17/a01046.html#a9c33e17337543b45b0b3b2c8def6ad5f">m_Cuts</a></div><div class="ttdeci">int m_Cuts</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00042">expansionsyncedplayerstats.c:42</a></div></div>
<div class="ttc" id="aa01046_html_aaa5e8e41ccfab57fd3812c38591c2d49"><div class="ttname"><a href="../../da/d17/a01046.html#aaa5e8e41ccfab57fd3812c38591c2d49">m_PlainID</a></div><div class="ttdeci">enum ExpansionPlayerStanceStatus m_PlainID</div><div class="ttdoc">ID not synched in 'OnSend', applied in 'RPC_SendPlayerStats'.</div></div>
<div class="ttc" id="aa01046_html_ac60853aed5bba4e0d17ae275d2e44217"><div class="ttname"><a href="../../da/d17/a01046.html#ac60853aed5bba4e0d17ae275d2e44217">m_Poison</a></div><div class="ttdeci">int m_Poison</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00040">expansionsyncedplayerstats.c:40</a></div></div>
<div class="ttc" id="aa01046_html_ad6e1aad666bc4a61626321b52a5b7513"><div class="ttname"><a href="../../da/d17/a01046.html#ad6e1aad666bc4a61626321b52a5b7513">m_Salmonella</a></div><div class="ttdeci">int m_Salmonella</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00039">expansionsyncedplayerstats.c:39</a></div></div>
<div class="ttc" id="aa01046_html_af3e20bba42c1d55bc117d92276a9dbb3"><div class="ttname"><a href="../../da/d17/a01046.html#af3e20bba42c1d55bc117d92276a9dbb3">m_Sick</a></div><div class="ttdeci">int m_Sick</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00036">expansionsyncedplayerstats.c:36</a></div></div>
<div class="ttc" id="aa01046_html_afa5c1cfda1764cece2a66c337de5bf68"><div class="ttname"><a href="../../da/d17/a01046.html#afa5c1cfda1764cece2a66c337de5bf68">m_Stance</a></div><div class="ttdeci">ExpansionPlayerStanceStatus m_Stance</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00043">expansionsyncedplayerstats.c:43</a></div></div>
<div class="ttc" id="aa01046_html_afb29a76b30e7264e8f29764176c2c148"><div class="ttname"><a href="../../da/d17/a01046.html#afb29a76b30e7264e8f29764176c2c148">m_Bones</a></div><div class="ttdeci">int m_Bones</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00035">expansionsyncedplayerstats.c:35</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04666_html"><div class="ttname"><a href="../../d7/d54/a04666.html">ExpansionSyncedPlayerStats</a></div><div class="ttdoc">This class handles the sycronised player stats values.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00091">expansionsyncedplayerstats.c:92</a></div></div>
<div class="ttc" id="aa04666_html_a0fa6dd9b6dff8994771b40019d8a4f72"><div class="ttname"><a href="../../d7/d54/a04666.html#a0fa6dd9b6dff8994771b40019d8a4f72">ExpansionSyncedPlayerStats::Acquire</a></div><div class="ttdeci">void Acquire(PlayerBase player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00186">expansionsyncedplayerstats.c:186</a></div></div>
<div class="ttc" id="aa04666_html_a120b97f5f91be2878ac47c34c0ec4cd8"><div class="ttname"><a href="../../d7/d54/a04666.html#a120b97f5f91be2878ac47c34c0ec4cd8">ExpansionSyncedPlayerStats::m_Water</a></div><div class="ttdeci">int m_Water</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00099">expansionsyncedplayerstats.c:99</a></div></div>
<div class="ttc" id="aa04666_html_a129670989b6a5ec8b1c0e4d1b7b15a68"><div class="ttname"><a href="../../d7/d54/a04666.html#a129670989b6a5ec8b1c0e4d1b7b15a68">ExpansionSyncedPlayerStats::m_Energy</a></div><div class="ttdeci">int m_Energy</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00100">expansionsyncedplayerstats.c:100</a></div></div>
<div class="ttc" id="aa04666_html_a12b7ca9d34af4572b7a8ef53eec449a2"><div class="ttname"><a href="../../d7/d54/a04666.html#a12b7ca9d34af4572b7a8ef53eec449a2">ExpansionSyncedPlayerStats::m_Stamina</a></div><div class="ttdeci">int m_Stamina</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00103">expansionsyncedplayerstats.c:103</a></div></div>
<div class="ttc" id="aa04666_html_a386ac5c35fc67a66b02890cafefa9a0d"><div class="ttname"><a href="../../d7/d54/a04666.html#a386ac5c35fc67a66b02890cafefa9a0d">ExpansionSyncedPlayerStats::m_Blood</a></div><div class="ttdeci">int m_Blood</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00098">expansionsyncedplayerstats.c:98</a></div></div>
<div class="ttc" id="aa04666_html_a3a47afe18588cf04099939866f667ac8"><div class="ttname"><a href="../../d7/d54/a04666.html#a3a47afe18588cf04099939866f667ac8">ExpansionSyncedPlayerStats::m_Health</a></div><div class="ttdeci">int m_Health</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00097">expansionsyncedplayerstats.c:97</a></div></div>
<div class="ttc" id="aa04666_html_a3a49cfa8d3a7c66c0b9aa0e9f023c5cb"><div class="ttname"><a href="../../d7/d54/a04666.html#a3a49cfa8d3a7c66c0b9aa0e9f023c5cb">ExpansionSyncedPlayerStats::m_PlayersKilled</a></div><div class="ttdeci">int m_PlayersKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00108">expansionsyncedplayerstats.c:108</a></div></div>
<div class="ttc" id="aa04666_html_a3d08f3e93f2febebe6c6f7d3e6a71de1"><div class="ttname"><a href="../../d7/d54/a04666.html#a3d08f3e93f2febebe6c6f7d3e6a71de1">ExpansionSyncedPlayerStats::m_HasRegisteredStats</a></div><div class="ttdeci">bool m_HasRegisteredStats</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00105">expansionsyncedplayerstats.c:105</a></div></div>
<div class="ttc" id="aa04666_html_a6d9813824f447269d8491c1f1a6cd6f9"><div class="ttname"><a href="../../d7/d54/a04666.html#a6d9813824f447269d8491c1f1a6cd6f9">ExpansionSyncedPlayerStats::OnSend</a></div><div class="ttdeci">void OnSend(ParamsWriteContext ctx, bool includeRegisteredStats=false, bool includeBaseStats=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00116">expansionsyncedplayerstats.c:116</a></div></div>
<div class="ttc" id="aa04666_html_a76446f08845e7e6e7ad723dd43858347"><div class="ttname"><a href="../../d7/d54/a04666.html#a76446f08845e7e6e7ad723dd43858347">ExpansionSyncedPlayerStats::m_LongestShot</a></div><div class="ttdeci">float m_LongestShot</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00111">expansionsyncedplayerstats.c:111</a></div></div>
<div class="ttc" id="aa04666_html_aa71c542beac9afbab20246273c62ec8f"><div class="ttname"><a href="../../d7/d54/a04666.html#aa71c542beac9afbab20246273c62ec8f">ExpansionSyncedPlayerStats::m_InfectedKilled</a></div><div class="ttdeci">int m_InfectedKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00109">expansionsyncedplayerstats.c:109</a></div></div>
<div class="ttc" id="aa04666_html_ab1b157515d9af81bc5cf07a1c64785cd"><div class="ttname"><a href="../../d7/d54/a04666.html#ab1b157515d9af81bc5cf07a1c64785cd">ExpansionSyncedPlayerStats::m_Weight</a></div><div class="ttdeci">float m_Weight</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00114">expansionsyncedplayerstats.c:114</a></div></div>
<div class="ttc" id="aa04666_html_ac0f1de93577939499c55019e8bb9efe8"><div class="ttname"><a href="../../d7/d54/a04666.html#ac0f1de93577939499c55019e8bb9efe8">ExpansionSyncedPlayerStats::m_Playtime</a></div><div class="ttdeci">float m_Playtime</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00107">expansionsyncedplayerstats.c:107</a></div></div>
<div class="ttc" id="aa04666_html_ac1b1f621ee7659cd6074838a7fb7195d"><div class="ttname"><a href="../../d7/d54/a04666.html#ac1b1f621ee7659cd6074838a7fb7195d">ExpansionSyncedPlayerStats::OnRecieve</a></div><div class="ttdeci">bool OnRecieve(ParamsReadContext ctx, bool includeRegisteredStats=false, bool includeBaseStats=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00138">expansionsyncedplayerstats.c:138</a></div></div>
<div class="ttc" id="aa04666_html_aec7e4350a9cabbe2b98223e3a778212e"><div class="ttname"><a href="../../d7/d54/a04666.html#aec7e4350a9cabbe2b98223e3a778212e">ExpansionSyncedPlayerStats::m_Distance</a></div><div class="ttdeci">float m_Distance</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00106">expansionsyncedplayerstats.c:106</a></div></div>
<div class="ttc" id="aa04666_html_af1bdf892773fe32beec0cc4c81168651"><div class="ttname"><a href="../../d7/d54/a04666.html#af1bdf892773fe32beec0cc4c81168651">ExpansionSyncedPlayerStats::m_PlainID</a></div><div class="ttdeci">string m_PlainID</div><div class="ttdoc">ID not synched in 'OnSend', applied in 'RPC_SendPlayerStats'.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00094">expansionsyncedplayerstats.c:94</a></div></div>
<div class="ttc" id="aa04666_html_af4748e79098c2eb31f48a6b44bca72e6"><div class="ttname"><a href="../../d7/d54/a04666.html#af4748e79098c2eb31f48a6b44bca72e6">ExpansionSyncedPlayerStats::m_AnimalsKilled</a></div><div class="ttdeci">int m_AnimalsKilled</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00110">expansionsyncedplayerstats.c:110</a></div></div>
<div class="ttc" id="aa04666_html_afeda392525a5dd89e7c01dc18202b48a"><div class="ttname"><a href="../../d7/d54/a04666.html#afeda392525a5dd89e7c01dc18202b48a">ExpansionSyncedPlayerStats::m_HasBaseStats</a></div><div class="ttdeci">bool m_HasBaseStats</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d17/a01046_source.html#l00096">expansionsyncedplayerstats.c:96</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_2f8e807662ba55784a08a7a744bca2da.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_941d75c2f3e001cbf2e710cd4f7d66b3.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_fde4ebb0f214ef7c3c8294622a009974.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_fb2869f520ddbe77bb0e247b67d50f4c.html">systems</a></li><li class="navelem"><a class="el" href="../../dir_ee5d648bf2f60f9d55671ecab9ed42d5.html">monitor</a></li><li class="navelem"><a class="el" href="../../da/d17/a01046.html">expansionsyncedplayerstats.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
